Can't save share access form on Windows in Edge

Bug #1597117 reported by Kristina Hoeppner on 2016-06-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Son Nguyen
15.10
High
Unassigned
16.04
High
Unassigned
16.10
High
Son Nguyen

Bug Description

https://mahara.org/interaction/forum/topic.php?id=7630

I could replicate the issue in Windows 10 using Edge 13.

Steps to replicate:

1. Create a couple of user accounts and groups.
2. Create a page as a user.
3. Share the page with another user selecting the "Share -> Search for: Users" option so that you are prompted to search for a user's name. Select a name.
4. Click the "Save" button.

Repeat the same for "Groups" and "Friends".

Expected result: The form saves properly.
Actual result: You stay on the form.

description: updated

Reviewed: https://reviews.mahara.org/6904
Committed: https://git.mahara.org/mahara/mahara/commit/dd7212a8dc799244d804f2df2bc3156b9e5f778c
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit dd7212a8dc799244d804f2df2bc3156b9e5f778c
Author: Son Nguyen <email address hidden>
Date: Tue Aug 30 13:13:27 2016 +1200

Bug 1597117: Fix form validate for required inputs for MS Edge

behatnotneeded

Change-Id: Ifa3503d5192f3454c56c24825d51c9b63acd2ea4

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/6913

Niranjan (niranjan528) wrote :

I have followed the test instructions and could replicate it on Edge 13. After downloading the patch it looks fine.

Reviewed: https://reviews.mahara.org/6912
Committed: https://git.mahara.org/mahara/mahara/commit/70cb9efd962ce7194a5b686fcc5480844bac54e7
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 70cb9efd962ce7194a5b686fcc5480844bac54e7
Author: Son Nguyen <email address hidden>
Date: Tue Aug 30 13:13:27 2016 +1200

Bug 1597117: Fix form validate for required inputs for MS Edge

behatnotneeded

Change-Id: Ifa3503d5192f3454c56c24825d51c9b63acd2ea4
(cherry picked from commit dd7212a8dc799244d804f2df2bc3156b9e5f778c)

Niranjan (niranjan528) wrote :

Tested it on 15.10 edge and it looks fine.

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6913
Committed: https://git.mahara.org/mahara/mahara/commit/316e2e5b02c377b249e35d08ba3239bd76213aac
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 316e2e5b02c377b249e35d08ba3239bd76213aac
Author: Son Nguyen <email address hidden>
Date: Tue Aug 30 13:13:27 2016 +1200

Bug 1597117: Fix form validate for required inputs for MS Edge

behatnotneeded

Change-Id: Ifa3503d5192f3454c56c24825d51c9b63acd2ea4
(cherry picked from commit dd7212a8dc799244d804f2df2bc3156b9e5f778c)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers